What is the minimum supported version of the Zenefits app on iOS and Android?

Zenefits supports any version of the mobile app from 3.12.0 and above. If you're using an older version of the Zenefits app, you'll need to update to a newer version. If you do not update, you'll risk losing access to the Zenefits mobile app.

Was this answer helpful?  

Still need our help? Our support team is waiting to help you. Contact us